## freerange 0.1.6 (2019-05-06)

### Major changes

- Now pinned to R >= 3.5.

### Minor changes

- Updated basejump dependencies, reflecting change in brio package.



## freerange 0.1.5 (2019-05-02)

### Minor changes

- `makeGRangesFromEnsembl`: Detect organisms with complex names including 3
  words (e.g. Canis lupus familiaris) and automatically sanitize to the 2
  word convention used internally by ensembldb (e.g. Canis familiaris). Thanks
  @umasaxena for the heads up on this.



## freerange 0.1.4 (2019-04-25)

### Minor changes

- S4 generic reexport documentation fixes.



## freerange 0.1.3 (2019-04-22)

### Minor changes

- Backward compatibility fixes/updates for BioC 3.6 / R 3.4.



## freerange 0.1.2 (2019-04-07)

### Major changes

- `emptyRanges`: Renamed `mcolsNames` to `mcolnames`, for better consistency
  with the basejump naming conventions. Note that this formal is currently used
  by basejump and bcbioSingleCell.

### Minor changes

- Reworked unit tests to improve code coverage above 90%.
- Added back `data-raw/` scripts used to general minimal GFF example files.
- `.makeGenesFromEnsemblGTF` and `.makeTranscriptsFromEnsemblGTF`: Made assert
  checks less strict. No longer requiring `gene_biotype` or `gene_name`, so we
  can pass through GRanges generated from FlyBase or WormBase.

### Future considerations

- Still not removing gene and transcript version numbers for GENCODE GFF files.
  Consider changing this convention in a future update.



## freerange 0.1.1 (2019-03-28)

### Minor changes

- Renamed `organism_mappings` data to `organismMappings`, to improve camel
  case consistency in package.



## freerange 0.1.0 (2019-03-27)

Initial release. Migrated Ensembl AnnotationHub and GFF/GTF parsing functions
here from the basejump package.
